import { Component,ViewEncapsulation } from '@angular/core';
import { LoggingService } from './logging.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  encapsulation:ViewEncapsulation.Emulated
  //encapsulation:ViewEncapsulation.ShadowDOM
 //encapsulation:ViewEncapsulation.None
})
export class AppComponent {
  title = 'third-angularjs';
  showMe:any;
  num:any;
  items = ["Milk", "Apple", "Butter", "Bread"];
  msg: string= 'Angular Pipes';
  toDate: Date = new Date();
  num1: number= 9542342.14554;
  per: number= .34724;
  cur: number= 543;
  myObject = {
    id: 1,
    name: "Nousheen",
    company: "nisum",
    college: "MJCET"
  };
  num2:number=5;
  component() {
    alert("They are used in the main class  and is declared by @Component. It contains the details on component processing, instantiated and usage at run time.")
    
  }
  structural(){
    alert("They start with a * sign. These directives are used to manipulate and change the structure of the DOM elements. Example:*ngIf directive, *ngSwitch directive, and *ngFor directive")
  }
  attribute(){
    alert("They are used to change the look and behavior of the DOM elements. Example: ngClass directive, and ngStyle directive etc")
  }
  pipe(){
    alert("Pipes are  used to transform data. It is denoted by symbol |")
  }
  constructor(private loggingService: LoggingService) {
		this.loggingService.logSomeMessage("Hello...I'm AppComponent !")
  }
  service(){
    alert("Angular services are singleton objects that get instantiated only once during the lifetime of an application.@Injectable() decorator accepts a metadata object for the service,that allows Angular to inject it into a component as a dependency.A provider is an object that tells an injector how to obtain or create a dependency.    ")
  }
  di(){
    alert(" It is used for injecting the service into a component, giving the component access to that service class.")
  }
}
 
