import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { SqrtPipe } from './sqrt.pipe';
import { SquarePipe } from './square.pipe';
import { View1Component } from './view1/view1.component';



@NgModule({
  declarations: [
    AppComponent,
    SqrtPipe,
    SquarePipe,
    View1Component
   
    
  ],
  imports: [
    BrowserModule,
    FormsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
