import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl,FormBuilder, Validators } from '@angular/forms';
@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {
  form: FormGroup;
  constructor(private readonly fb: FormBuilder) {
    this.form = this.fb.group({
      username: ['',Validators.required],      
      password: ['',Validators.required],
     });
  }
    
  submitForm() {
    console.log(this.form.getRawValue());
    alert("You have logged in successfully")
  }


  ngOnInit(): void {
  }

}
